> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everhour.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Section

> Create a new section in a project.



## OpenAPI

````yaml /openapi.json post /projects/{project_id}/sections
openapi: 3.1.1
info:
  title: Everhour API
  version: 1.0.0
  license:
    name: Proprietary
    identifier: LicenseRef-Proprietary
servers:
  - url: https://api.everhour.com
security:
  - ApiKeyAuth: []
tags:
  - name: Clients
  - name: Custom Fields
  - name: Expenses
  - name: Invoices
  - name: Projects
  - name: Reports
  - name: Schedule
  - name: Tasks
  - name: Time Off
  - name: Time Records
  - name: Timecards
  - name: Timers
  - name: Timesheets
  - name: Users
  - name: Webhooks
paths:
  /projects/{project_id}/sections:
    post:
      tags:
        - Projects
      summary: Create Section
      description: Create a new section in a project.
      operationId: createSection
      parameters:
        - name: project_id
          in: path
          required: true
          description: Project ID
          schema:
            type: string
            example: ev:1234567789001
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SectionRequestCreateRequest'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Section'
        '401':
          description: Unauthorized
components:
  schemas:
    SectionRequestCreateRequest:
      type: object
      properties:
        name:
          type: string
          example: Section Name
        status:
          type: string
          enum:
            - open
            - archived
          example: open
        placeBefore:
          type: array
          items:
            type: integer
          description: IDs of sections to place this one before (create only).
        collapsed:
          type: boolean
      required:
        - name
    Section:
      type: object
      properties:
        id:
          type: number
          example: 1234
        name:
          type: string
          example: Section Name
        project:
          type: string
          example: ev:1234567890
        position:
          type: number
          example: 1
        status:
          type: string
          enum:
            - open
            - archived
          example: open
        collapsed:
          type: boolean
          nullable: true
      required:
        - id
        - name
        - project
        - position
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````